import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class PooWorld here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class PooWorld extends World
{
    Counter counter = new Counter("Score: ");
    boolean gameStarted = false;
    Bird bird = new Bird();
    //AssaultInfantry assaultinfantry = new AssaultInfantry();
    /**
     * Constructor for objects of class PooWorld.
     * 
     */
    public PooWorld()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(750, 540, 1); 
        addObject(counter, 600, 40);
        Intro intro = new Intro();
        addObject(intro, getWidth()/2, getHeight()/2);
        prepare();
        Greenfoot.setSpeed(50);

    }

    public void startGame()
    {
        gameStarted = true;
    }

    public void displayScore()
    {
        ScoreBoard scoreboard = new ScoreBoard(counter.getValue());
        addObject(scoreboard, getWidth()/2, getHeight()/2);
    }

    public void act()
    {
        //if(Greenfoot.isKeyDown("left"))
        //move(-5);
        // Randomly create cars
        if(!gameStarted) 
        {
            return;  // don't do anything until game has been started
        }

        int num = Greenfoot.getRandomNumber(1000);
        if (num < 2) {
            addObject(new Sportscar(-1), getWidth()-50, getHeight()-130 +Greenfoot.getRandomNumber(30));
        }
        else if (num < 5) {
            addObject(new Sportscar(1), 50, getHeight()-80 +Greenfoot.getRandomNumber(30));
        }
        int num2 = Greenfoot.getRandomNumber(1000);
        if (num2 < 6) {
            addObject(new Car(-1), getWidth()-50, getHeight()-100 +Greenfoot.getRandomNumber(30));
        }
        else if (num2 < 15) {
            addObject(new Car(1), 50, getHeight()-50 +Greenfoot.getRandomNumber(30));
        }
        int num3 = Greenfoot.getRandomNumber(1000);
        if (num3 < 4) {
            addObject(new Bus(-1), getWidth()-50, getHeight()-100 +Greenfoot.getRandomNumber(30));
        }
        else if (num3 < 9) {
            addObject(new Bus(1), 50, getHeight()-50 +Greenfoot.getRandomNumber(30));
        }
        int num4 = Greenfoot.getRandomNumber(1000);
        if (num4 < 2) {
            addObject(new Hunter(-1), getWidth()-50, getHeight()-100 +Greenfoot.getRandomNumber(30));
        }
        else if (num3 < 4) {
            addObject(new Hunter(1), 50, getHeight()-50 +Greenfoot.getRandomNumber(30));
        }
    }

    /**
     * Prepare the world for the start of the program. That is: create the initial
     * objects and add them to the world.
     */
    private void prepare()
    {
        Bird bird = new Bird();
        addObject(bird, 412, 70);
    }
    //     public void countHit()
    //     {
    //         counter.add(10);
    //     }

    public void createInfantry()
    {       
            addObject(new AssaultInfantry(0), 50, getHeight()-80 +Greenfoot.getRandomNumber(70));
        
        }
    
    public void countHit(int points)
    {
        counter.add(points);
    }

}

